proxmox
Unterschiede
Hier werden die Unterschiede zwischen zwei Versionen angezeigt.
Nächste Überarbeitung | Vorhergehende Überarbeitung | ||
proxmox [31.12.2020 08:04] – angelegt thooge | proxmox [26.12.2022 09:37] (aktuell) – thooge | ||
---|---|---|---|
Zeile 2: | Zeile 2: | ||
===== VM umbenennen ===== | ===== VM umbenennen ===== | ||
- | |||
* Maschine herunterfahren | * Maschine herunterfahren | ||
Zeile 13: | Zeile 12: | ||
mv < | mv < | ||
</ | </ | ||
- | * LVM basiert< | + | * [[LVM]] basiert< |
lvrename / | lvrename / | ||
</ | </ | ||
Zeile 23: | Zeile 22: | ||
* Die Anzeige in der Proxmox-Oberfläche sollte sich automatisch aktualisieren | * Die Anzeige in der Proxmox-Oberfläche sollte sich automatisch aktualisieren | ||
* Maschine neu starten | * Maschine neu starten | ||
+ | |||
+ | ===== Backup Server ===== | ||
+ | |||
+ | <file bash / | ||
+ | #! /bin/sh | ||
+ | ### BEGIN INIT INFO | ||
+ | # Provides: | ||
+ | # Required-Start: | ||
+ | # Required-Stop: | ||
+ | # Default-Start: | ||
+ | # Default-Stop: | ||
+ | # Short-Description: | ||
+ | # Description: | ||
+ | ### END INIT INFO | ||
+ | |||
+ | DESC=" | ||
+ | NAME=proxmox-backup-api | ||
+ | BINDIR="/ | ||
+ | DAEMON=$BINDIR/ | ||
+ | NETWORK_PORT=82 | ||
+ | PIDFILE=/ | ||
+ | |||
+ | # Exit if the package is not installed | ||
+ | [ -x " | ||
+ | |||
+ | # Load the VERBOSE setting and other rcS variables | ||
+ | . / | ||
+ | |||
+ | # Define LSB log_* functions. | ||
+ | # Depend on lsb-base (>= 3.2-14) to ensure that this file is present | ||
+ | # and status_of_proc is working. | ||
+ | . / | ||
+ | |||
+ | # | ||
+ | # Function that stops the daemon/ | ||
+ | # | ||
+ | do_start() | ||
+ | { | ||
+ | # Return | ||
+ | # 0 if daemon has been started | ||
+ | # 1 if daemon was already running | ||
+ | # 2 if daemon could not be started | ||
+ | start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \ | ||
+ | || return 1 | ||
+ | start-stop-daemon --start --quiet --background --exec $DAEMON -- \ | ||
+ | $DAEMON_ARGS \ | ||
+ | || return 2 | ||
+ | return $? | ||
+ | } | ||
+ | |||
+ | # | ||
+ | # Function that checks if daemon is running | ||
+ | # | ||
+ | do_check() | ||
+ | { | ||
+ | STATUS=2 | ||
+ | # Ubuntu 8.04 does not support "lsof -s " | ||
+ | pidofproc -p $PIDFILE $DAEMON >/ | ||
+ | return $STATUS | ||
+ | } | ||
+ | |||
+ | # | ||
+ | # Function that stops the daemon/ | ||
+ | # | ||
+ | do_stop() | ||
+ | { | ||
+ | # Return | ||
+ | # 0 if daemon has been stopped | ||
+ | # 1 if daemon was already stopped | ||
+ | # 2 if daemon could not be stopped | ||
+ | # other if a failure occurred | ||
+ | start-stop-daemon --stop --quiet --retry=TERM/ | ||
+ | RETVAL=" | ||
+ | return " | ||
+ | } | ||
+ | |||
+ | # | ||
+ | # Function that sends a SIGHUP to the daemon/ | ||
+ | # | ||
+ | do_reload() { | ||
+ | # | ||
+ | # If the daemon can reload its configuration without | ||
+ | # restarting (for example, when it is sent a SIGHUP), | ||
+ | # then implement that here. | ||
+ | # | ||
+ | start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME | ||
+ | return 0 | ||
+ | } | ||
+ | |||
+ | case " | ||
+ | start) | ||
+ | [ " | ||
+ | do_start | ||
+ | case " | ||
+ | 0|1) [ " | ||
+ | 2) [ " | ||
+ | esac | ||
+ | ;; | ||
+ | stop) | ||
+ | [ " | ||
+ | do_stop | ||
+ | case " | ||
+ | 0|1) [ " | ||
+ | 2) [ " | ||
+ | esac | ||
+ | ;; | ||
+ | status) | ||
+ | status_of_proc " | ||
+ | ;; | ||
+ | reload|force-reload) | ||
+ | # | ||
+ | # If do_reload() is not implemented then leave this commented out | ||
+ | # and leave ' | ||
+ | # | ||
+ | log_daemon_msg " | ||
+ | do_reload | ||
+ | log_end_msg $? | ||
+ | ;; | ||
+ | restart) | ||
+ | log_daemon_msg " | ||
+ | do_stop | ||
+ | case " | ||
+ | 0|1) | ||
+ | do_start | ||
+ | case " | ||
+ | 0) log_end_msg 0 ;; | ||
+ | 1) log_end_msg 1 ;; # Old process is still running | ||
+ | *) log_end_msg 1 ;; # Failed to start | ||
+ | esac | ||
+ | ;; | ||
+ | *) | ||
+ | # Failed to stop | ||
+ | log_end_msg 1 | ||
+ | ;; | ||
+ | esac | ||
+ | ;; | ||
+ | *) | ||
+ | echo " | ||
+ | exit 3 | ||
+ | ;; | ||
+ | esac | ||
+ | |||
+ | : | ||
+ | </ | ||
+ | |||
+ | <file bash / | ||
+ | #! /bin/sh | ||
+ | ### BEGIN INIT INFO | ||
+ | # Provides: | ||
+ | # Required-Start: | ||
+ | # Required-Stop: | ||
+ | # Default-Start: | ||
+ | # Default-Stop: | ||
+ | # Short-Description: | ||
+ | # Description: | ||
+ | ### END INIT INFO | ||
+ | |||
+ | DESC=" | ||
+ | NAME=proxmox-backup-proxy | ||
+ | DAEMON_USER=backup | ||
+ | DAEMON_GROUP=backup | ||
+ | BINDIR="/ | ||
+ | NETWORK_PORT=8007 | ||
+ | PIDFILE=/ | ||
+ | |||
+ | |||
+ | DAEMON=$BINDIR/ | ||
+ | if [ " | ||
+ | | ||
+ | if [ " | ||
+ | DAEMON_USERGROUP=" | ||
+ | fi | ||
+ | fi | ||
+ | |||
+ | # Exit if the package is not installed | ||
+ | [ -x " | ||
+ | |||
+ | # Read configuration variable file if it is present | ||
+ | [ -r / | ||
+ | |||
+ | # Load the VERBOSE setting and other rcS variables | ||
+ | . / | ||
+ | |||
+ | # Define LSB log_* functions. | ||
+ | # Depend on lsb-base (>= 3.2-14) to ensure that this file is present | ||
+ | # and status_of_proc is working. | ||
+ | . / | ||
+ | |||
+ | # | ||
+ | # Function that stops the daemon/ | ||
+ | # | ||
+ | do_start() | ||
+ | { | ||
+ | # Return | ||
+ | # 0 if daemon has been started | ||
+ | # 1 if daemon was already running | ||
+ | # 2 if daemon could not be started | ||
+ | start-stop-daemon --start --quiet $DAEMON_USERGROUP --exec $DAEMON --test > /dev/null \ | ||
+ | || return 1 | ||
+ | start-stop-daemon --start --quiet $DAEMON_USERGROUP --background --exec $DAEMON -- \ | ||
+ | $DAEMON_ARGS \ | ||
+ | || return 2 | ||
+ | return $? | ||
+ | } | ||
+ | |||
+ | # | ||
+ | # Function that checks if daemon is running | ||
+ | # | ||
+ | do_check() | ||
+ | { | ||
+ | STATUS=2 | ||
+ | # Ubuntu 8.04 does not support "lsof -s " | ||
+ | pidofproc -p $PIDFILE $DAEMON >/ | ||
+ | return $STATUS | ||
+ | } | ||
+ | |||
+ | # | ||
+ | # Function that stops the daemon/ | ||
+ | # | ||
+ | do_stop() | ||
+ | { | ||
+ | # Return | ||
+ | # 0 if daemon has been stopped | ||
+ | # 1 if daemon was already stopped | ||
+ | # 2 if daemon could not be stopped | ||
+ | # other if a failure occurred | ||
+ | start-stop-daemon --stop --quiet --retry=TERM/ | ||
+ | RETVAL=" | ||
+ | return " | ||
+ | } | ||
+ | |||
+ | # | ||
+ | # Function that sends a SIGHUP to the daemon/ | ||
+ | # | ||
+ | do_reload() { | ||
+ | # | ||
+ | # If the daemon can reload its configuration without | ||
+ | # restarting (for example, when it is sent a SIGHUP), | ||
+ | # then implement that here. | ||
+ | # | ||
+ | start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME | ||
+ | return 0 | ||
+ | } | ||
+ | |||
+ | case " | ||
+ | start) | ||
+ | [ " | ||
+ | do_start | ||
+ | case " | ||
+ | 0|1) [ " | ||
+ | 2) [ " | ||
+ | esac | ||
+ | ;; | ||
+ | stop) | ||
+ | [ " | ||
+ | do_stop | ||
+ | case " | ||
+ | 0|1) [ " | ||
+ | 2) [ " | ||
+ | esac | ||
+ | ;; | ||
+ | status) | ||
+ | status_of_proc " | ||
+ | ;; | ||
+ | reload|force-reload) | ||
+ | # | ||
+ | # If do_reload() is not implemented then leave this commented out | ||
+ | # and leave ' | ||
+ | # | ||
+ | log_daemon_msg " | ||
+ | do_reload | ||
+ | log_end_msg $? | ||
+ | ;; | ||
+ | restart) | ||
+ | log_daemon_msg " | ||
+ | do_stop | ||
+ | case " | ||
+ | 0|1) | ||
+ | do_start | ||
+ | case " | ||
+ | 0) log_end_msg 0 ;; | ||
+ | 1) log_end_msg 1 ;; # Old process is still running | ||
+ | *) log_end_msg 1 ;; # Failed to start | ||
+ | esac | ||
+ | ;; | ||
+ | *) | ||
+ | # Failed to stop | ||
+ | log_end_msg 1 | ||
+ | ;; | ||
+ | esac | ||
+ | ;; | ||
+ | *) | ||
+ | echo " | ||
+ | exit 3 | ||
+ | ;; | ||
+ | esac | ||
+ | |||
+ | : | ||
+ | |||
+ | </ | ||
proxmox.1609401868.txt.gz · Zuletzt geändert: 31.12.2020 08:04 von thooge